| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Attributes | List of all members
PropertyList Class Reference

List of properties. More...

`#include <GaudiKernel/PropertyList.h>`

Inheritance diagram for PropertyList:
[legend]
Collaboration diagram for PropertyList:
[legend]

## Public Member Functions
| PropertyList ()
| Constructor. More...
| PropertyList (const std::string &name)
| Constructor giving a name. More...
virtual | ~PropertyList ()
| Virtual destructor. More...
bool | isRef () const
| Accessor members (const) More...
void | addProperty (const std::string &name, Property &p)
| Add a property to the list. More...
void | addProperty (Property &p)
| Add a property to the list. More...
void | removeProperty (const std::string &name)
| Remove a property from the list. More...
void | removeProperty (Property &p)
| Remove a property from the list. More...
bool | assign (const Property &p) override
| Property implementation: set property. More...
bool | load (Property &p) const override
| Property implementation: get property. More...
bool | assign (const std::string &name, const Property &p)
| Property implementation: set property. More...
bool | load (const std::string &name, Property &p) const
| Property implementation: get property. More...
const Property & | getProperty (const std::string &name) const
| Get the property with a given name. More...
const std::vector< Property * > & | getProperties () const
| Get the complete list of properties. More...

## Private Attributes
std::vector< Property * > | m_propertyList

## Detailed Description

List of properties.

Author
  David Quarrie
  Pere Mato

Definition at line 16 of file PropertyList.h.

## Constructor & Destructor Documentation

## ◆ PropertyList() [1/2]

PropertyList::PropertyList | ( |  | ) |

Constructor.

## ◆ PropertyList() [2/2]

PropertyList::PropertyList | ( | const std::string & | name | ) |

Constructor giving a name.

## ◆ ~PropertyList()

virtual PropertyList::~PropertyList | ( |  | ) |
| virtual

Virtual destructor.

## Member Function Documentation

## ◆ addProperty() [1/2]

void PropertyList::addProperty | ( | const std::string & | name,
|  | Property & | p
| ) |  |

Add a property to the list.

## ◆ addProperty() [2/2]

void PropertyList::addProperty | ( | Property & | p | ) |

Add a property to the list.

## ◆ assign() [1/2]

bool PropertyList::assign | ( | const Property & | p | ) |
| override

Property implementation: set property.

## ◆ assign() [2/2]

bool PropertyList::assign | ( | const std::string & | name,
|  | const Property & | p
| ) |  |

Property implementation: set property.

## ◆ getProperties()

const std::vector<Property*>& PropertyList::getProperties | ( |  | ) | const

Get the complete list of properties.

## ◆ getProperty()

const Property& PropertyList::getProperty | ( | const std::string & | name | ) | const

Get the property with a given name.

## ◆ isRef()

bool PropertyList::isRef | ( |  | ) | const
| inline

Accessor members (const)

Definition at line 26 of file PropertyList.h.

26 { return false; }

## ◆ load() [1/2]

bool PropertyList::load | ( | Property & | p | ) | const
| override

Property implementation: get property.

## ◆ load() [2/2]

bool PropertyList::load | ( | const std::string & | name,
|  | Property & | p
| ) |  | const

Property implementation: get property.

## ◆ removeProperty() [1/2]

void PropertyList::removeProperty | ( | const std::string & | name | ) |

Remove a property from the list.

## ◆ removeProperty() [2/2]

void PropertyList::removeProperty | ( | Property & | p | ) |

Remove a property from the list.

## Member Data Documentation

## ◆ m_propertyList

std::vector<Property*> PropertyList::m_propertyList
| private

Definition at line 53 of file PropertyList.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/PropertyList.h